#include<bits/stdc++.h>
using namespace std;
#define ll long long


int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    string lista[3];
    cin >> lista[0] >> lista[1] >> lista[2];
    vector<string> v;
    for(int i=0;i<3;i++){
        for(int j=0;j<3;j++){
            if(i==j)continue;
            for(int k=0;k<3;k++){
                if(k==i || k==j) continue;
                v.push_back({lista[i]+lista[j]+lista[k]});
            }
        }
    }
    sort(v.begin(),v.end());
    reverse(v.begin(),v.end());

    cout << v[0];


    return 0 ;
}